bgav_edl_track_t Struct Reference
Decoding of multimedia streams » EDL support

A locical track. More...

`#include <avdec.h>`

## Data Fields

char * | name
| Name (optional) More...
bgav_metadata_t * | metadata
| Metadata (optional) More...
int | num_audio_streams
| Number of logical audio streams. More...
bgav_edl_stream_t * | audio_streams
| Logical audio streams. More...
int | num_video_streams
| Number of logical video streams. More...
bgav_edl_stream_t * | video_streams
| Logical video streams. More...
int | num_subtitle_text_streams
| Number of logical text subtitle streams. More...
bgav_edl_stream_t * | subtitle_text_streams
| Logical text subtitle streams. More...
int | num_subtitle_overlay_streams
| Number of logical overlay subtitle streams. More...
bgav_edl_stream_t * | subtitle_overlay_streams
| Logical overlay subtitle streams. More...

## Detailed Description

A locical track.

## Field Documentation

## name

char* bgav_edl_track_t::name

Name (optional)

## metadata

bgav_metadata_t* bgav_edl_track_t::metadata

Metadata (optional)

## num_audio_streams

int bgav_edl_track_t::num_audio_streams

Number of logical audio streams.

## audio_streams

bgav_edl_stream_t* bgav_edl_track_t::audio_streams

Logical audio streams.

## num_video_streams

int bgav_edl_track_t::num_video_streams

Number of logical video streams.

## video_streams

bgav_edl_stream_t* bgav_edl_track_t::video_streams

Logical video streams.

## num_subtitle_text_streams

int bgav_edl_track_t::num_subtitle_text_streams

Number of logical text subtitle streams.

## subtitle_text_streams

bgav_edl_stream_t* bgav_edl_track_t::subtitle_text_streams

Logical text subtitle streams.

## num_subtitle_overlay_streams

int bgav_edl_track_t::num_subtitle_overlay_streams

Number of logical overlay subtitle streams.

## subtitle_overlay_streams

bgav_edl_stream_t* bgav_edl_track_t::subtitle_overlay_streams

Logical overlay subtitle streams.

The documentation for this struct was generated from the following file:

- /build/gmerlin-avdecoder-zmqdK8/gmerlin-avdecoder-1.2.0~dfsg/include/avdec.h